package com.muyu.cloud.etl.controller;


import com.muyu.cloud.etl.service.SourceTypeService;
import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.controller.BaseController;
import com.muyu.domain.SourceType;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/SourceType")
public class SourceTypeController extends BaseController {
    @Autowired
    private SourceTypeService sourceTypeService;


    @GetMapping("/findSourceType")
    public Result<List<SourceType>> findSourceType() {
        List<SourceType> sourceTypeList=sourceTypeService.findSourceType();
        return Result.success(sourceTypeList);
    }
}
