package com.muyu.cloud.etl.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.cloud.etl.mapper.SourceTypeMapper;
import com.muyu.cloud.etl.service.SourceTypeService;
import com.muyu.domain.SourceType;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SourceTypeServiceImpl extends ServiceImpl<SourceTypeMapper, SourceType> implements SourceTypeService {

    @Override
    public List<SourceType> findSourceType() {
        LambdaQueryWrapper<SourceType> sourceTypeLambdaQueryWrapper = new LambdaQueryWrapper<>();
        return  this.list(sourceTypeLambdaQueryWrapper);
    }
}
